%ifarch %{arm}
%bcond_with opengl
%else
%bcond_without opengl
%endif

Summary:	Library that will let you add mathematical features to your program
Name:		analitza
Version:	4.14.3
Release:	1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
# add SHOULD_BUILD_OPENGL option, to be able to disable support
# on arm because plotter3d assumes qreal=double all over the place
Patch0:		analitza-4.14.1-opengl_optional.patch
BuildRequires:	kdelibs4-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
The analitza library will let you add mathematical features to your program.

#---------------------------------------------

%package -n calgebra
Summary:	Console mathematical calculator
Group:		Graphical desktop/KDE
Conflicts:	kalgebra < 4.7.90

%description -n calgebra
Console interface for a mathematical calculator based content markup MathML
language.

%files -n calgebra
%{_kde_bindir}/calgebra

#---------------------------------------------

%package plots
Summary:	Plots used by the libanalitzaplot library
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description plots
This package provides plots used by the libanalitzaplot library.

%files plots
%{_kde_appsdir}/libanalitza/plots/*.plots

#---------------------------------------------

%define analitza_major 5
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %{libanalitza}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libanalitza}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitza}
%{_kde_libdir}/libanalitza.so.%{analitzagui_major}*

#---------------------------------------------

%define analitzagui_major 5
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %{libanalitzagui}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libanalitzagui}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitzagui}
%{_kde_libdir}/libanalitzagui.so.%{analitzagui_major}*

#---------------------------------------------

%define analitzaplot_major 5
%define libanalitzaplot %mklibname analitzaplot %{analitzaplot_major}

%package -n %{libanalitzaplot}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	analitza-plots

%description -n %{libanalitzaplot}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitzaplot}
%{_kde_libdir}/libanalitzaplot.so.%{analitzaplot_major}*

#---------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel
Requires:	%{libanalitza} = %{EVRD}
Requires:	%{libanalitzagui} = %{EVRD}
Requires:	%{libanalitzaplot} = %{EVRD}

%description devel
Files needed to build applications based on %{name}.

%files devel
%{_kde_includedir}/analitza
%{_kde_includedir}/analitzagui
%{_kde_includedir}/analitzaplot
%{_kde_libdir}/libanalitza.so
%{_kde_libdir}/libanalitzagui.so
%{_kde_libdir}/libanalitzaplot.so
%{_kde_libdir}/cmake/analitza

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 .opengl_arm_float

%build
%cmake_kde4 \
%if %{with opengl}
	-DSHOULD_BUILD_OPENGL:BOOL=ON
%else
	-DSHOULD_BUILD_OPENGL:BOOL=OFF
%endif

%make

%install
%makeinstall_std -C build


%changelog
* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
+ Revision: 9ab2a48
- LOG New version 4.14.3 (sync spec and patches with Cooker)


